Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AccessHash

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AccessHash

Enclosing class:
  TdApi

public static final class TdApi.AccessHash extends TdApi.Object
Access hash.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`accessHash`
Access hash.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.AccessHashType`
`type`
Access hash type.

## Constructor Summary

Constructors
Constructor
Description
`AccessHash()`
Access hash.
`AccessHash(long chatId, TdApi.AccessHashType type, long accessHash)`
Access hash.
`AccessHash(DataInput input)`
Access hash.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### type

public TdApi.AccessHashType type
Access hash type.

### accessHash

public long accessHash
Access hash.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AccessHash

public AccessHash()
Access hash.

### AccessHash

public AccessHash(long chatId, TdApi.AccessHashType type, long accessHash)
Access hash.

Parameters:
  `chatId` - long Chat identifier.
  `type` - AccessHashType Access hash type.
  `accessHash` - long Access hash.

### AccessHash

public AccessHash(DataInput input) throws IOException
Access hash.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`